.col.b-input.b-input-simple
  .row.align-items-center.no-gutters(@focusin='setHasFocus(true)' @focusout='setHasFocus(false)')
    InputError(:showErrors='inEdit' :errors='errors' :warnings='warnings')
    .input-group.col-12
      input(v-if='inEdit' ref='input'
        @change='onFileChange' type='file' v-bind="$attrs")
      input.text-right.text-sm-center(v-else readonly='1' ref='input'
        :value='inEdit ? editValue : value' )
      BaseAnimationBlock(v-if='!noEditIcon' anim='width')
        .input-group-append(key='0' v-if='inEdit'
                            @mousedown.prevent='' @click="emitEditRequest(false)")
          label.input-group-text.b-clickable #[i.fa.fa-edit.px-1.ml-1]
        .input-group-append(key='1' v-else-if='showEditIcon'
                            @mousedown.prevent='' @click="emitEditRequest(true)")
          label.input-group-text.b-clickable #[i.fa.fa-edit.px-1.ml-1.text-primary]
